## Uses of Class
org.apache.cassandra.exceptions.ReadTimeoutException

Packages that use ReadTimeoutException
Package | Description
--- | ---
org.apache.cassandra.service |

### Uses of ReadTimeoutException in org.apache.cassandra.service

Methods in org.apache.cassandra.service that throw ReadTimeoutException
Modifier and Type | Method and Description
--- | ---
`static ColumnFamily` | StorageProxy.`cas(java.lang.String keyspaceName, java.lang.String cfName, java.nio.ByteBuffer key, CASConditions conditions, ColumnFamily updates, ConsistencyLevel consistencyForPaxos, ConsistencyLevel consistencyForCommit)` Apply @param updates if and only if the current values in the row for @param key match the provided @param conditions.
`Row` | AbstractReadExecutor.`get()` wait for an answer.
`TResolved` | ReadCallback.`get()`
`static java.util.List<Row>` | StorageProxy.`getRangeSlice(AbstractRangeCommand command, ConsistencyLevel consistency_level)`
`static java.util.List<Row>` | StorageProxy.`read(java.util.List<ReadCommand> commands, ConsistencyLevel consistency_level)` Performs the actual reading of a row out of the StorageService, fetching a specific set of column names from a given column family.